array_cate(3)

NAME
array_cate - append subset of one array to another array

SYNTAX
#include <libowfat/array.h> void array_cate(array* x,array* y, int64 pos,int64 stop);
  array x;
  array y;
  int64 pos;
  int64 stop;
  array_cate(&x,y,pos,stop);

DESCRIPTION
array_cate is like array_cat, but uses only byte positions pos through stop-1 in y. It fails if pos negative, or if stop is smaller than pos, or if the number of initialized bytes in y is smaller than stop.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_reset(3), array_cat(3), array_cats(3), array_cats0(3), array_cate(3)